diff -ruN mozilla-vendor.orig/Makefile mozilla-vendor/Makefile
--- mozilla-vendor.orig/Makefile	Sat Oct 19 02:22:21 2002
+++ mozilla-vendor/Makefile	Fri Oct 18 18:29:10 2002
@@ -7,8 +7,6 @@
 
 PORTNAME=	mozilla
 PORTVERSION=	1.0.1
-PORTREVISION=	1
-PORTEPOCH=	2
 CATEGORIES=	www
 MASTER_SITES=	${MASTER_SITE_MOZILLA} \
 		http://people.FreeBSD.org/~marcus/:local
@@ -30,13 +28,21 @@
 
 WITHOUT_CHATZILLA=	"Contains a buffer overflow reported at http://online.securityfocus.com/archive/1/270249"
 
+LATEST_LINK=	mozilla-vendor
 USE_BZIP2=	yes
-EXTRACT_AFTER_ARGS=	| tar -xf - -X ${FILESDIR}/tar-exclude
+EXTRACT_AFTER_ARGS=	| ${TAR} -xf - --exclude */CVS/* \
+			--exclude */macbuild/*\
+			--exclude */package/* \
+			--exclude .cvsignore \
+			--exclude makefile.win \
+			--exclude MANIFEST
+
 USE_X_PREFIX=	yes
 USE_PERL5=	yes
 USE_GMAKE=	yes
 USE_GNOMENG=	yes
 USE_GNOME=	orbit gtk12
+USE_REINPLACE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=					\
 		--disable-auto-deps		\
@@ -64,30 +70,23 @@
 		--with-system-png=${LOCALBASE}	\
 		--with-pthreads
 
+PLIST=	${WRKSRC}/pkg-plist
 # LDAP is only used by mail and news so disable both together
 .if defined(WITHOUT_MAILNEWS)
 CONFIGURE_ARGS+=	--disable-ldap --disable-mailnews
-PLIST_SUB+=	MOZILLAMAILNEWS="@comment "
-PLIST_SUB+=	MOZILLALDAP="@comment "
 .else
 # mail and news desired, but not LDAP
 .if defined(WITHOUT_LDAP)
 CONFIGURE_ARGS+=	--disable-ldap --enable-mailnews
-PLIST_SUB+=	MOZILLAMAILNEWS=""
-PLIST_SUB+=	MOZILLALDAP="@comment "
 .else
 CONFIGURE_ARGS+=	--enable-ldap --enable-mailnews
-PLIST_SUB+=	MOZILLAMAILNEWS=""
-PLIST_SUB+=	MOZILLALDAP=""
-.endif 
+.endif
 .endif
 
 .if !defined(WITHOUT_CHATZILLA)
 CONFIGURE_ARGS+=	--enable-extensions=default,irc,xmlterm
-PLIST_SUB+=	CHATZILLA=""
 .else
 CONFIGURE_ARGS+=	--enable-extensions=default,xmlterm
-PLIST_SUB+=	CHATZILLA="@comment "
 .endif
 CONFIGURE_ENV=	MOZ_INTERNAL_LIBART_LGPL=1
 
@@ -109,9 +108,13 @@
 BROKEN="You must upgrade your freetype port to 1.3.1_2 or higher before installing Mozilla.  If you have 1.3.1_2 installed, please remove ${LOCALBASE}/include/freetype, then build Mozilla"
 .endif
 
+post-patch:
+	@${REINPLACE_CMD} -e 's|%%PREFIX%%|${PREFIX}|g' \
+		${WRKSRC}/build/unix/run-mozilla.sh
+
 post-build:
 	${SED} -e "s;@PREFIX@;${PREFIX};g" \
-		${FILESDIR}/mozilla.sh >${WRKSRC}/mozilla
+		${FILESDIR}/mozilla.sh >${WRKSRC}/mozilla-vendor
 	(cd ${WRKSRC}/dist/bin; \
 	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ./regxpcom; \
 	  ${ECHO_CMD} skin,install,select,classic/1.0 >> chrome/installed-chrome.txt; \
@@ -120,13 +123,34 @@
 	${FIND} ${WRKSRC}/dist/bin -type d | /usr/bin/sort -r | \
 		${XARGS} ${RMDIR} 2> /dev/null || ${TRUE}
 
+pre-install:
+	${TOUCH} -f ${PLIST}
+	${TEST} ! -x ${PREFIX}/bin/mozilla && ${TEST} ! -L ${PREFIX}/bin/mozilla && \
+	${ECHO_CMD} bin/mozilla >> ${PLIST}
+	${ECHO_CMD} bin/mozilla-vendor >> ${PLIST}
+	${TEST} ! -L ${PREFIX}/lib/browser_plugins/libjavaplugin_oji.so && \
+	${ECHO_CMD} lib/browser_plugins/libjavaplugin_oji.so >> ${PLIST}
+	cd ${WRKSRC}/dist/bin && ${FIND} -s * -type f -o -type l | \
+		${SED} -e 's:^:lib/mozilla-vendor/:' >> ${PLIST} \
+		&& ${FIND} -d * -type d | \
+		${SED} -e 's:^:@dirrm lib/mozilla-vendor/:' >> ${PLIST}
+	${ECHO_CMD} @dirrm lib/mozilla-vendor >> ${PLIST}
+
 do-install:
-	${MKDIR} ${PREFIX}/lib/mozilla
-	${CHMOD} 755 ${PREFIX}/lib/mozilla
+	${MKDIR} ${PREFIX}/lib/mozilla-vendor
+	${CHMOD} 755 ${PREFIX}/lib/mozilla-vendor
 	cd ${WRKSRC}/dist/bin && ${FIND} . | \
-		cpio -pdm -L -R ${LIBOWN}:${LIBGRP} ${PREFIX}/lib/mozilla
-	${INSTALL_SCRIPT} ${WRKSRC}/mozilla ${PREFIX}/bin
+		cpio -pdm -L -R ${LIBOWN}:${LIBGRP} ${PREFIX}/lib/mozilla-vendor
+	${INSTALL_SCRIPT} ${WRKSRC}/mozilla ${PREFIX}/bin/mozilla-vendor
+	${TEST} ! -x ${PREFIX}/bin/mozilla && ${TEST} ! -L ${PREFIX}/bin/mozilla &&
+	${LN} -sf ${PREFIX}/bin/mozilla-vendor ${PREFIX}/bin/mozilla
+	${TEST} -d ${PREFIX}/lib/browser_plugins && \
+	${MKDIR} ${PREFIX}/lib/browser_plugins
+	${TEST} ! -L ${PREFIX}/lib/browser_plugins/libjavaplugin_oji.so && \
 	${LN} -sf ${LOCALBASE}/jdk1.3.1/jre/plugin/i386/ns600/libjavaplugin_oji.so \
-		${PREFIX}/lib/mozilla/plugins/libjavaplugin_oji.so
+		${PREFIX}/lib/browser_plugins/libjavaplugin_oji.so
+
+post-install:
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
diff -ruN mozilla-vendor.orig/files/mozilla.sh mozilla-vendor/files/mozilla.sh
--- mozilla-vendor.orig/files/mozilla.sh	Sat Oct 19 02:22:21 2002
+++ mozilla-vendor/files/mozilla.sh	Wed Oct 16 00:37:08 2002
@@ -2,5 +2,5 @@
 #
 # $FreeBSD: ports/www/mozilla-vendor/files/mozilla.sh,v 1.4 2002/09/03 20:45:54 marcus Exp $
 
-cd @PREFIX@/lib/mozilla
+cd @PREFIX@/lib/mozilla-vendor
 exec ./mozilla "$@"
diff -ruN mozilla-vendor.orig/files/patch-build_unix_run-mozilla.sh mozilla-vendor/files/patch-build_unix_run-mozilla.sh
--- mozilla-vendor.orig/files/patch-build_unix_run-mozilla.sh	Wed Dec 31 19:00:00 1969
+++ mozilla-vendor/files/patch-build_unix_run-mozilla.sh	Thu Oct 17 00:08:59 2002
@@ -0,0 +1,21 @@
+--- build/unix/run-mozilla.sh.orig	Thu Oct 17 00:07:52 2002
++++ build/unix/run-mozilla.sh	Thu Oct 17 00:08:24 2002
+@@ -392,7 +392,7 @@
+         export XSUNTRANSPORT XSUNSMESIZE
+ fi
+ # Font path for Xft
+-FONTCONFIG_PATH="/etc/fonts:${MOZILLA_FIVE_HOME}/res/Xft"
++FONTCONFIG_PATH="%%PREFIX%%/etc/fonts:${MOZILLA_FIVE_HOME}/res/Xft"
+ export FONTCONFIG_PATH
+ 
+ if [ "$moz_debug" -eq 1 ]
+@@ -426,6 +426,9 @@
+ #
+ export MOZILLA_FIVE_HOME LD_LIBRARY_PATH
+ export SHLIB_PATH LIBPATH LIBRARY_PATH ADDON_PATH DYLD_LIBRARY_PATH
++
++MOZ_PLUGIN_PATH %%PREFIX%%/lib/browser_plugins
++export MOZ_PLUGIN_PATH
+ 
+ if [ $moz_debug -eq 1 ]
+ then
diff -ruN mozilla-vendor.orig/files/patch-security mozilla-vendor/files/patch-security
--- mozilla-vendor.orig/files/patch-security	Wed Dec 31 19:00:00 1969
+++ mozilla-vendor/files/patch-security	Thu Oct 17 22:39:46 2002
@@ -0,0 +1,260 @@
+--- content/html/content/src/nsHTMLImageElement.cpp.orig	Tue Jun 18 20:17:56 2002
++++ content/html/content/src/nsHTMLImageElement.cpp	Thu Oct 17 22:16:00 2002
+@@ -957,12 +957,17 @@
+ 
+         nsCOMPtr<nsIDocument> doc;
+         nsCOMPtr<nsILoadGroup> loadGroup;
++	nsCOMPtr<nsIURI> documentURI;
+         shell->GetDocument(getter_AddRefs(doc));
+         if (doc) {
+           doc->GetDocumentLoadGroup(getter_AddRefs(loadGroup));
++
++	  // Get the documment URI for the referrer.
++	  doc->GetDocumentURL(getter_AddRefs(documentURI));
+         }
+ 
+-        il->LoadImage(uri, nsnull, loadGroup, this, sup, nsIRequest::LOAD_NORMAL,
++	// XXX: initialDocumentURI is NULL!
++	il->LoadImage(uri, nsnull, documentURI, loadGroup, this, context, nsIRequest::LOAD_NORMAL,
+                       nsnull, nsnull, getter_AddRefs(mRequest));
+       }
+     }
+--- content/xbl/src/nsXBLResourceLoader.cpp.orig	Tue Apr  9 22:30:27 2002
++++ content/xbl/src/nsXBLResourceLoader.cpp	Thu Oct 17 22:17:21 2002
+@@ -126,8 +126,10 @@
+       }
+ 
+       // Now kick off the image load
++      // Passing NULL for pretty much everything -- cause we don't care!
++      // XXX: initialDocumentURI is NULL!
+       nsCOMPtr<imgIRequest> req;
+-      il->LoadImage(url, nsnull, nsnull, nsnull, nsnull, nsIRequest::LOAD_BACKGROUND, nsnull, nsnull, getter_AddRefs(req));
++      il->LoadImage(url, nsnull, nsnull, nsnull, nsnull, nsnull, nsIRequest::LOAD_BACKGROUND, nsnull, nsnull, getter_AddRefs(req));
+     }
+     else if (curr->mType == nsXBLAtoms::stylesheet) {
+       if (!cssLoader) {
+--- layout/base/src/nsImageLoader.cpp.orig	Fri Apr 26 19:05:07 2002
++++ layout/base/src/nsImageLoader.cpp	Thu Oct 17 22:19:28 2002
+@@ -92,8 +92,6 @@
+     return NS_ERROR_FAILURE;
+ 
+   nsCOMPtr<nsILoadGroup> loadGroup;
+-  nsCOMPtr<nsIURI> uri;
+-  nsCOMPtr<nsIURI> baseURI;
+ 
+   nsCOMPtr<nsIPresShell> shell;
+   nsresult rv = mPresContext->GetShell(getter_AddRefs(shell));
+@@ -106,6 +104,10 @@
+   // Get the document's loadgroup
+   doc->GetDocumentLoadGroup(getter_AddRefs(loadGroup));
+ 
++  // Get the document URI (for the referrer).
++  nsCOMPtr<nsIURI> documentURI;
++  doc->GetDocumentURL(getter_AddRefs(documentURI));
++
+   if (mRequest) {
+     nsCOMPtr<nsIURI> oldURI;
+     mRequest->GetURI(getter_AddRefs(oldURI));
+@@ -119,7 +121,8 @@
+   nsCOMPtr<imgILoader> il(do_GetService("@mozilla.org/image/loader;1", &rv));
+   if (NS_FAILED(rv)) return rv;
+ 
+-  return il->LoadImage(aURI, nsnull, loadGroup, NS_STATIC_CAST(imgIDecoderObserver *, this), 
++  // XXX: initialDocumentURI is NULL!
++  return il->LoadImage(aURI, nsnull, documentURI, loadGroup, NS_STATIC_CAST(imgIDecoderObserver *, this),
+                        nsnull, nsIRequest::LOAD_BACKGROUND, nsnull, nsnull, getter_AddRefs(mRequest));
+ }
+ 
+--- layout/html/base/src/nsBulletFrame.cpp.orig	Fri Jun  7 20:04:28 2002
++++ layout/html/base/src/nsBulletFrame.cpp	Thu Oct 17 22:22:58 2002
+@@ -135,6 +135,16 @@
+     nsCOMPtr<nsIURI> imgURI;
+     NS_NewURI(getter_AddRefs(imgURI), myList->mListStyleImage, nsnull, baseURI);
+ 
++    // Get the document URI for the referrer...
++    nsCOMPtr<nsIURI> documentURI;
++    nsCOMPtr<nsIDocument> doc;
++    if (mContent) {
++	(void) mContent->GetDocument(*getter_AddRefs(doc));
++	if (doc) {
++	    doc->GetDocumentURL(getter_AddRefs(documentURI));
++	}
++    }
++
+     if (!mListener) {
+       nsBulletListener *listener;
+       NS_NEWXPCOM(listener, nsBulletListener);
+@@ -145,7 +155,8 @@
+       NS_RELEASE(listener);
+     }
+ 
+-    il->LoadImage(imgURI, nsnull, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
++    // XXX: initialDocumentURI is NULL !
++    il->LoadImage(imgURI, nsnull, documentURI, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
+   }
+ 
+   return NS_OK;
+@@ -1481,7 +1492,18 @@
+         nsCOMPtr<nsILoadGroup> loadGroup;
+         GetLoadGroup(aPresContext, getter_AddRefs(loadGroup));
+ 
+-        il->LoadImage(newURI, nsnull, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
++	// Get the document URI for the referrer...
++	nsCOMPtr<nsIURI> documentURI;
++	nsCOMPtr<nsIDocument> doc;
++	if (mContent) {
++	    (void) mContent->GetDocument(*getter_AddRefs(doc));
++	    if (doc) {
++		doc->GetDocumentURL(getter_AddRefs(documentURI));
++	    }
++	}
++
++	// XXX: initialDocumentURI is NULL !
++	il->LoadImage(newURI, nsnull, documentURI, loadGroup, mListener, aPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(mImageRequest));
+       }
+     }
+   }
+--- layout/html/base/src/nsImageFrame.cpp.orig	Fri Jun 21 19:01:22 2002
++++ layout/html/base/src/nsImageFrame.cpp	Thu Oct 17 22:24:47 2002
+@@ -1980,8 +1980,19 @@
+ 
+   nsCOMPtr<nsIURI> baseURI;
+   rv = aPresContext->GetBaseURL(getter_AddRefs(baseURI));
++
++  // Get the document URI for the referrer...
++  nsCOMPtr<nsIURI> documentURI;
++  nsCOMPtr<nsIDocument> doc;
++  if (mContent) {
++      (void) mContent->GetDocument(*getter_AddRefs(doc));
++      if (doc) {
++	  doc->GetDocumentURL(getter_AddRefs(documentURI));
++      }
++  }
++
+   nsCOMPtr<imgIRequest> tempRequest;
+-  return il->LoadImage(uri, baseURI, loadGroup, mListener, aPresContext, loadFlags, nsnull, aRequest, getter_AddRefs(tempRequest));
++  return il->LoadImage(uri, baseURI, documentURI, loadGroup, mListener, aPresContext, loadFlags, nsnull, aRequest, getter_AddRefs(tempRequest));
+ }
+ 
+ #define INTERNAL_GOPHER_LENGTH 16 /* "internal-gopher-" length */
+--- layout/xul/base/src/nsImageBoxFrame.cpp.orig	Tue Apr  9 23:01:17 2002
++++ layout/xul/base/src/nsImageBoxFrame.cpp	Thu Oct 17 22:26:39 2002
+@@ -457,7 +457,19 @@
+   nsCOMPtr<nsILoadGroup> loadGroup;
+   GetLoadGroup(aPresContext, getter_AddRefs(loadGroup));
+ 
+-  il->LoadImage(srcURI, nsnull, loadGroup, mListener, aPresContext, mLoadFlags, nsnull, nsnull, getter_AddRefs(mImageRequest));
++  // Get the document URI for the referrer...
++  nsCOMPtr<nsIURI> documentURI;
++  nsCOMPtr<nsIDocument> doc;
++  if (mContent) {
++      (void) mContent->GetDocument(*getter_AddRefs(doc));
++      if (doc) {
++	  doc->GetDocumentURL(getter_AddRefs(documentURI));
++      }
++  }
++
++  // XXX: initialDocumentURI is NULL!
++  il->LoadImage(srcURI, nsnull, documentURI, loadGroup, mListener, aPresContext, mLoadFlags, nsnull, nsnull, getter_AddRefs(mImageRequest));
++
+ 
+   aResize = PR_TRUE;
+ }
+--- modules/libpr0n/public/imgILoader.idl.orig	Tue Apr  9 23:09:00 2002
++++ modules/libpr0n/public/imgILoader.idl	Thu Oct 17 22:30:35 2002
+@@ -57,9 +57,14 @@
+    * @param aRequest A newly created, unused imgIRequest object or NULL for one to
+                      be created for you.
+    */
+-  imgIRequest loadImage(in nsIURI aURI, in nsIURI parentURL, in nsILoadGroup aLoadGroup,
+-                        in imgIDecoderObserver aObserver, in nsISupports aCX,
+-                        in nsLoadFlags aLoadFlags, in nsISupports cacheKey,
++   imgIRequest loadImage(in nsIURI aURI,
++   			in nsIURI aInitialDocumentURL,
++			in nsIURI aReferrerURI,
++			in nsILoadGroup aLoadGroup,
++			in imgIDecoderObserver aObserver,
++			in nsISupports aCX,
++			in nsLoadFlags aLoadFlags,
++			in nsISupports cacheKey,
+                         in imgIRequest aRequest);
+ 
+   /**
+--- modules/libpr0n/src/imgLoader.cpp.orig	Mon Jun 10 18:07:05 2002
++++ modules/libpr0n/src/imgLoader.cpp	Thu Oct 17 22:33:23 2002
+@@ -111,11 +111,17 @@
+   return 1;
+ }
+ 
+-/* imgIRequest loadImage (in nsIURI aURI, in nsIURI parentURI, in nsILoadGroup aLoadGroup, in imgIDecoderObserver aObserver, in nsISupports aCX, in nsLoadFlags aLoadFlags, in nsISupports cacheKey, in imgIRequest aRequest); */
+ 
+-NS_IMETHODIMP imgLoader::LoadImage(nsIURI *aURI, nsIURI *parentURI, nsILoadGroup *aLoadGroup,
+-                                   imgIDecoderObserver *aObserver, nsISupports *aCX, nsLoadFlags aLoadFlags,
+-                                   nsISupports *cacheKey, imgIRequest *aRequest, imgIRequest **_retval)
++NS_IMETHODIMP imgLoader::LoadImage(nsIURI *aURI,
++				nsIURI *initialDocumentURI,
++				nsIURI *referrerURI,
++				nsILoadGroup *aLoadGroup,
++				imgIDecoderObserver *aObserver,
++				nsISupports *aCX,
++				nsLoadFlags aLoadFlags,
++				nsISupports *cacheKey,
++				imgIRequest *aRequest,
++				imgIRequest **_retval)
+ {
+   NS_ASSERTION(aURI, "imgLoader::LoadImage -- NULL URI pointer");
+ 
+@@ -298,7 +304,7 @@
+ 
+     nsCOMPtr<nsIHttpChannel> newHttpChannel = do_QueryInterface(newChannel);
+     if (newHttpChannel) {
+-      newHttpChannel->SetDocumentURI(parentURI);
++	newHttpChannel->SetDocumentURI(initialDocumentURI);
+     }
+ 
+     if (aLoadGroup) {
+@@ -343,24 +349,8 @@
+       nsCOMPtr<nsIHttpChannel> httpChannel(do_QueryInterface(newChannel));
+ 
+       if (httpChannel) {
+-        nsresult rv;
+-        // Get the defloadRequest from the loadgroup
+-        nsCOMPtr<nsIRequest> defLoadRequest;
+-        rv = aLoadGroup->GetDefaultLoadRequest(getter_AddRefs(defLoadRequest));
+-
+-        if (NS_SUCCEEDED(rv) && defLoadRequest) {
+-          nsCOMPtr<nsIChannel> reqChannel(do_QueryInterface(defLoadRequest));
+-
+-          if (reqChannel) {
+-            // Get the referrer from the loadchannel
+-            nsCOMPtr<nsIURI> referrer;
+-            rv = reqChannel->GetURI(getter_AddRefs(referrer));
+-            if (NS_SUCCEEDED(rv)) {
+-              // Set the referrer
+-              httpChannel->SetReferrer(referrer, nsIHttpChannel::REFERRER_INLINES);
+-            }
+-          }   
+-        }
++	  // Set the referrer
++	  httpChannel->SetReferrer(referrerURI, nsIHttpChannel::REFERRER_INLINES);
+       }
+     }
+ 
+--- layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp.orig	Tue Jun 25 00:00:35 2002
++++ layout/xul/base/src/tree/src/nsTreeBodyFrame.cpp	Thu Oct 17 22:28:04 2002
+@@ -1725,8 +1725,14 @@
+ 
+     nsresult rv;
+     nsCOMPtr<imgILoader> il(do_GetService("@mozilla.org/image/loader;1", &rv));
++
++    // Get the documment URI for the referrer.
++    nsCOMPtr<nsIURI> documentURI;
++    doc->GetDocumentURL(getter_AddRefs(documentURI));
++
+     mImageGuard = PR_TRUE;
+-    rv = il->LoadImage(srcURI, nsnull, nsnull, listener, mPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(imageRequest));
++    // XXX: initialDocumentURI is NULL!
++    rv = il->LoadImage(srcURI, nsnull, documentURI, nsnull, listener, mPresContext, nsIRequest::LOAD_NORMAL, nsnull, nsnull, getter_AddRefs(imageRequest));
+     mImageGuard = PR_FALSE;
+ 
+     // In a case it was already cached.
diff -ruN mozilla-vendor.orig/files/tar-exclude mozilla-vendor/files/tar-exclude
--- mozilla-vendor.orig/files/tar-exclude	Sat Oct 19 02:22:21 2002
+++ mozilla-vendor/files/tar-exclude	Wed Dec 31 19:00:00 1969
@@ -1,6 +0,0 @@
-*/CVS/*
-*/macbuild/*
-*/package/*
-.cvsignore
-makefile.win
-MANIFEST
diff -ruN mozilla-vendor.orig/pkg-descr mozilla-vendor/pkg-descr
--- mozilla-vendor.orig/pkg-descr	Sat Oct 19 02:22:21 2002
+++ mozilla-vendor/pkg-descr	Wed Oct 16 23:42:28 2002
@@ -4,8 +4,9 @@
 SVG and RDF.  This version also supports SSL encryption, and Java 
 and Java with the use of the FreeBSD native Java plug-in.
 
-This version is described by mozilla.org as their stable vendor release.  Users
-needing the Mozilla vendor API (for applications such as Galeon), or users
-new to Mozilla should stick with this version.
+This version of mozilla is used by other vendors for browser development.
+It contains many fixes for security, stability, and dataloss as well 
+as some performance problems.  If you want the most stable release of
+Mozilla, this is the port to install.
 
 WWW: http://www.mozilla.org/
diff -ruN mozilla-vendor.orig/pkg-message mozilla-vendor/pkg-message
--- mozilla-vendor.orig/pkg-message	Wed Dec 31 19:00:00 1969
+++ mozilla-vendor/pkg-message	Wed Oct 16 00:44:44 2002
@@ -0,0 +1,9 @@
+###
+A symlink has been created for the Java plugin.  However, in order for Java
+to function, you must first install the java/jdk13 port.  If you do not
+do this, you will see the following error when starting Mozilla:
+
+LoadPlugin: failed to initialize shared library /usr/local/jdk1.3.1/jre/plugin/i386/ns600/libjavaplugin_oji.so [Cannot open "/usr/local/jdk1.3.1/jre/plugin/i386/ns600/libjavaplugin_oji.so"]
+
+If you do not want Java support, you can safely ignore this message.
+###
diff -ruN mozilla-vendor.orig/pkg-plist mozilla-vendor/pkg-plist
--- mozilla-vendor.orig/pkg-plist	Sat Oct 19 02:22:21 2002
+++ mozilla-vendor/pkg-plist	Wed Dec 31 19:00:00 1969
@@ -1,595 +0,0 @@
-bin/mozilla
-lib/mozilla/DocStream
-lib/mozilla/HelloWorld
-lib/mozilla/INSTALL.xmlterm
-lib/mozilla/TestGtkEmbed
-lib/mozilla/TestGtkEmbedChild
-lib/mozilla/TestGtkEmbedNotebook
-lib/mozilla/TestGtkEmbedSocket
-lib/mozilla/bloaturls.txt
-lib/mozilla/chrome/US.jar
-%%CHATZILLA%%lib/mozilla/chrome/chatzilla.jar
-lib/mozilla/chrome/chrome.rdf
-lib/mozilla/chrome/chromelist.txt
-lib/mozilla/chrome/classic.jar
-lib/mozilla/chrome/comm.jar
-lib/mozilla/chrome/content-packs.jar
-lib/mozilla/chrome/embed-sample.jar
-lib/mozilla/chrome/en-US.jar
-lib/mozilla/chrome/en-mac.jar
-lib/mozilla/chrome/en-unix.jar
-lib/mozilla/chrome/en-win.jar
-lib/mozilla/chrome/forms.jar
-lib/mozilla/chrome/help.jar
-lib/mozilla/chrome/inspector.jar
-lib/mozilla/chrome/installed-chrome.txt
-%%MOZILLAMAILNEWS%%lib/mozilla/chrome/messenger.jar
-lib/mozilla/chrome/modern.jar
-lib/mozilla/chrome/overlayinfo/communicator/content/overlays.rdf
-%%MOZILLAMAILNEWS%%lib/mozilla/chrome/overlayinfo/cookie/content/overlays.rdf
-%%MOZILLAMAILNEWS%%lib/mozilla/chrome/overlayinfo/editor/content/overlays.rdf
-lib/mozilla/chrome/overlayinfo/inspector/content/overlays.rdf
-lib/mozilla/chrome/overlayinfo/messenger/content/overlays.rdf
-lib/mozilla/chrome/overlayinfo/navigator/content/overlays.rdf
-lib/mozilla/chrome/pipnss.jar
-lib/mozilla/chrome/pippki.jar
-lib/mozilla/chrome/toolkit.jar
-lib/mozilla/chrome/venkman.jar
-lib/mozilla/chrome/xmlterm.jar
-lib/mozilla/component.reg
-%%MOZILLAMAILNEWS%%lib/mozilla/components/absync.xpt
-lib/mozilla/components/accessibility.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/addrbook.xpt
-lib/mozilla/components/appshell.xpt
-lib/mozilla/components/autocomplete.xpt
-lib/mozilla/components/autoconfig.xpt
-lib/mozilla/components/bookmarks.xpt
-lib/mozilla/components/caps.xpt
-lib/mozilla/components/chardet.xpt
-%%CHATZILLA%%lib/mozilla/components/chatzilla-service.js
-lib/mozilla/components/chrome.xpt
-lib/mozilla/components/commandhandler.xpt
-lib/mozilla/components/composer.xpt
-lib/mozilla/components/content.xpt
-lib/mozilla/components/content_base.xpt
-lib/mozilla/components/content_html.xpt
-lib/mozilla/components/content_xslt.xpt
-lib/mozilla/components/cookie.xpt
-lib/mozilla/components/directory.xpt
-lib/mozilla/components/docshell.xpt
-lib/mozilla/components/dom.xpt
-lib/mozilla/components/dom_base.xpt
-lib/mozilla/components/dom_core.xpt
-lib/mozilla/components/dom_css.xpt
-lib/mozilla/components/dom_events.xpt
-lib/mozilla/components/dom_html.xpt
-lib/mozilla/components/dom_range.xpt
-lib/mozilla/components/dom_stylesheets.xpt
-lib/mozilla/components/dom_svg.xpt
-lib/mozilla/components/dom_traversal.xpt
-lib/mozilla/components/dom_views.xpt
-lib/mozilla/components/dom_xbl.xpt
-lib/mozilla/components/dom_xpath.xpt
-lib/mozilla/components/dom_xul.xpt
-lib/mozilla/components/downloadmanager.xpt
-lib/mozilla/components/editor.xpt
-lib/mozilla/components/embed_base.xpt
-lib/mozilla/components/exthandler.xpt
-lib/mozilla/components/filepicker.xpt
-lib/mozilla/components/find.xpt
-lib/mozilla/components/gfx.xpt
-lib/mozilla/components/gfx2.xpt
-lib/mozilla/components/helperAppDlg.xpt
-lib/mozilla/components/history.xpt
-lib/mozilla/components/htmlparser.xpt
-lib/mozilla/components/imglib2.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/impComm4xMail.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/import.xpt
-lib/mozilla/components/inspector.xpt
-lib/mozilla/components/intl.xpt
-lib/mozilla/components/jar.xpt
-lib/mozilla/components/jsconsole-clhandler.js
-lib/mozilla/components/jsconsole.xpt
-lib/mozilla/components/jsdservice.xpt
-lib/mozilla/components/jsurl.xpt
-lib/mozilla/components/layout_base.xpt
-lib/mozilla/components/layout_xul.xpt
-lib/mozilla/components/layout_xul_tree.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libabsyncsvc.so
-lib/mozilla/components/libaccessibility.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libaddrbook.so
-lib/mozilla/components/libappcomps.so
-lib/mozilla/components/libautoconfig.so
-lib/mozilla/components/libcaps.so
-lib/mozilla/components/libchardet.so
-lib/mozilla/components/libchrome.so
-lib/mozilla/components/libcomposer.so
-lib/mozilla/components/libcookie.so
-lib/mozilla/components/libdocshell.so
-lib/mozilla/components/libeditor.so
-lib/mozilla/components/libembedcomponents.so
-lib/mozilla/components/libfileview.so
-lib/mozilla/components/libgfx2.so
-lib/mozilla/components/libgfx_gtk.so
-lib/mozilla/components/libgfxps.so
-lib/mozilla/components/libgfxxprint.so
-lib/mozilla/components/libgkcontent.so
-lib/mozilla/components/libgklayout.so
-lib/mozilla/components/libgkplugin.so
-lib/mozilla/components/libgkview.so
-lib/mozilla/components/libhtmlpars.so
-lib/mozilla/components/libimgbmp.so
-lib/mozilla/components/libimggif.so
-lib/mozilla/components/libimgjpeg.so
-lib/mozilla/components/libimglib2.so
-lib/mozilla/components/libimgmng.so
-lib/mozilla/components/libimgpng.so
-lib/mozilla/components/libimgppm.so
-lib/mozilla/components/libimgxbm.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libimpComm4xMail.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libimpText.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libimport.so
-lib/mozilla/components/libinspector.so
-lib/mozilla/components/libjar50.so
-lib/mozilla/components/libjsd.so
-lib/mozilla/components/libjsdom.so
-lib/mozilla/components/libjsloader.so
-lib/mozilla/components/libjsurl.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/liblocalmail.so
-lib/mozilla/components/liblwbrk.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmailnews.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmime.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmimeemitter.so
-lib/mozilla/components/libmork.so
-lib/mozilla/components/libmozbrwsr.so
-lib/mozilla/components/libmozfind.so
-%%MOZILLALDAP%%lib/mozilla/components/libmozldap.so
-lib/mozilla/components/libmozxfer.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgcompose.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgdb.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgimap.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgmdn.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgnews.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libmsgsmime.so
-lib/mozilla/components/libnecko.so
-lib/mozilla/components/libnecko2.so
-lib/mozilla/components/libnkcache.so
-lib/mozilla/components/libnsappshell.so
-lib/mozilla/components/libnslocale.so
-lib/mozilla/components/libnsprefm.so
-lib/mozilla/components/liboji.so
-lib/mozilla/components/libpipboot.so
-lib/mozilla/components/libpipnss.so
-lib/mozilla/components/libpippki.so
-lib/mozilla/components/libpref.so
-lib/mozilla/components/libprofile.so
-lib/mozilla/components/librdf.so
-lib/mozilla/components/libregviewer.so
-lib/mozilla/components/libshistory.so
-lib/mozilla/components/libstrres.so
-lib/mozilla/components/libtransformiix.so
-lib/mozilla/components/libtxmgr.so
-lib/mozilla/components/libtxtsvc.so
-lib/mozilla/components/libuconv.so
-lib/mozilla/components/libucvcn.so
-lib/mozilla/components/libucvibm.so
-lib/mozilla/components/libucvja.so
-lib/mozilla/components/libucvko.so
-lib/mozilla/components/libucvlatin.so
-lib/mozilla/components/libucvmath.so
-lib/mozilla/components/libucvtw.so
-lib/mozilla/components/libucvtw2.so
-lib/mozilla/components/libunicharutil.so
-lib/mozilla/components/libuniversalchardet.so
-lib/mozilla/components/liburiloader.so
-%%MOZILLAMAILNEWS%%lib/mozilla/components/libvcard.so
-lib/mozilla/components/libwallet.so
-lib/mozilla/components/libwalletviewers.so
-lib/mozilla/components/libwebbrwsr.so
-lib/mozilla/components/libwidget_gtk.so
-lib/mozilla/components/libxmlextras.so
-lib/mozilla/components/libxmlterm.so
-lib/mozilla/components/libxpconnect.so
-lib/mozilla/components/libxpinstall.so
-lib/mozilla/components/libxremote_client.so
-lib/mozilla/components/libxremoteservice.so
-lib/mozilla/components/locale.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/mailnews.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/mdn-service.js
-%%MOZILLAMAILNEWS%%lib/mozilla/components/mime.xpt
-lib/mozilla/components/mimetype.xpt
-lib/mozilla/components/mozbrwsr.xpt
-lib/mozilla/components/mozfind.xpt
-%%MOZILLALDAP%%lib/mozilla/components/mozldap.xpt
-lib/mozilla/components/mozxfer.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgbase.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgcompose.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgdb.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgimap.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msglocal.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgnews.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgsearch.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/msgsmime.xpt
-lib/mozilla/components/necko.xpt
-lib/mozilla/components/necko_about.xpt
-lib/mozilla/components/necko_cache.xpt
-lib/mozilla/components/necko_cookie.xpt
-lib/mozilla/components/necko_data.xpt
-lib/mozilla/components/necko_dns.xpt
-lib/mozilla/components/necko_file.xpt
-lib/mozilla/components/necko_ftp.xpt
-lib/mozilla/components/necko_http.xpt
-lib/mozilla/components/necko_jar.xpt
-lib/mozilla/components/necko_res.xpt
-lib/mozilla/components/necko_socket.xpt
-lib/mozilla/components/necko_strconv.xpt
-lib/mozilla/components/necko_viewsource.xpt
-lib/mozilla/components/nsDictionary.js
-lib/mozilla/components/nsDownloadProgressListener.js
-lib/mozilla/components/nsFilePicker.js
-lib/mozilla/components/nsHelperAppDlg.js
-lib/mozilla/components/nsKillAll.js
-%%MOZILLALDAP%%lib/mozilla/components/nsLDAPPrefsService.js
-lib/mozilla/components/nsProgressDialog.js
-lib/mozilla/components/nsProxyAutoConfig.js
-lib/mozilla/components/nsResetPref.js
-lib/mozilla/components/nsSidebar.js
-lib/mozilla/components/nsUpdateNotifier.js
-lib/mozilla/components/nsXmlRpcClient.js
-lib/mozilla/components/oji.xpt
-lib/mozilla/components/pipboot.xpt
-lib/mozilla/components/pipnss.xpt
-lib/mozilla/components/pippki.xpt
-lib/mozilla/components/plugin.xpt
-lib/mozilla/components/pref.xpt
-lib/mozilla/components/prefmigr.xpt
-lib/mozilla/components/profile.xpt
-lib/mozilla/components/progressDlg.xpt
-lib/mozilla/components/proxyObjInst.xpt
-lib/mozilla/components/rdf.xpt
-lib/mozilla/components/regviewer.xpt
-lib/mozilla/components/related.xpt
-lib/mozilla/components/search.xpt
-lib/mozilla/components/shistory.xpt
-lib/mozilla/components/sidebar.xpt
-lib/mozilla/components/signonviewer.xpt
-%%MOZILLAMAILNEWS%%lib/mozilla/components/smime-service.js
-lib/mozilla/components/timebomb.xpt
-lib/mozilla/components/transformiix.xpt
-lib/mozilla/components/txmgr.xpt
-lib/mozilla/components/txtsvc.xpt
-lib/mozilla/components/uconv.xpt
-lib/mozilla/components/unicharutil.xpt
-lib/mozilla/components/uriloader.xpt
-lib/mozilla/components/urlbarhistory.xpt
-lib/mozilla/components/util.xpt
-lib/mozilla/components/venkman-service.js
-lib/mozilla/components/wallet.xpt
-lib/mozilla/components/walleteditor.xpt
-lib/mozilla/components/walletpreview.xpt
-lib/mozilla/components/webBrowser_core.xpt
-lib/mozilla/components/webbrowserpersist.xpt
-lib/mozilla/components/webshell_idls.xpt
-lib/mozilla/components/widget.xpt
-lib/mozilla/components/windowwatcher.xpt
-lib/mozilla/components/xml-rpc.xpt
-lib/mozilla/components/xmlextras.xpt
-lib/mozilla/components/xmlschema.xpt
-lib/mozilla/components/xmlsoap.xpt
-lib/mozilla/components/xmlterm-service.js
-lib/mozilla/components/xmlterm.xpt
-lib/mozilla/components/xpcom_base.xpt
-lib/mozilla/components/xpcom_components.xpt
-lib/mozilla/components/xpcom_ds.xpt
-lib/mozilla/components/xpcom_io.xpt
-lib/mozilla/components/xpcom_threads.xpt
-lib/mozilla/components/xpcom_xpti.xpt
-lib/mozilla/components/xpconnect.xpt
-lib/mozilla/components/xpinstall.xpt
-lib/mozilla/components/xpti.dat
-lib/mozilla/components/xremoteservice.xpt
-lib/mozilla/components/xuldoc.xpt
-lib/mozilla/components/xultmpl.xpt
-lib/mozilla/defaults/autoconfig/prefcalls.js
-lib/mozilla/defaults/pref/all.js
-lib/mozilla/defaults/pref/config.js
-lib/mozilla/defaults/pref/editor.js
-lib/mozilla/defaults/pref/initpref.js
-lib/mozilla/defaults/pref/inspector.js
-lib/mozilla/defaults/pref/mailnews.js
-%%MOZILLAMAILNEWS%%lib/mozilla/defaults/pref/mdn.js
-lib/mozilla/defaults/pref/security-prefs.js
-%%MOZILLAMAILNEWS%%lib/mozilla/defaults/pref/smime.js
-lib/mozilla/defaults/pref/unix.js
-lib/mozilla/defaults/pref/xpinstall.js
-lib/mozilla/defaults/profile/US/bookmarks.html
-lib/mozilla/defaults/profile/US/chrome/userChrome-example.css
-lib/mozilla/defaults/profile/US/chrome/userContent-example.css
-lib/mozilla/defaults/profile/US/localstore.rdf
-lib/mozilla/defaults/profile/US/mimeTypes.rdf
-lib/mozilla/defaults/profile/US/panels.rdf
-lib/mozilla/defaults/profile/US/search.rdf
-lib/mozilla/defaults/profile/bookmarks.html
-lib/mozilla/defaults/profile/chrome/userChrome-example.css
-lib/mozilla/defaults/profile/chrome/userContent-example.css
-lib/mozilla/defaults/profile/localstore.rdf
-lib/mozilla/defaults/profile/mimeTypes.rdf
-lib/mozilla/defaults/profile/panels.rdf
-lib/mozilla/defaults/profile/search.rdf
-lib/mozilla/defaults/wallet/DistinguishedSchema.tbl
-lib/mozilla/defaults/wallet/FieldSchema.tbl
-lib/mozilla/defaults/wallet/PositionalSchema.tbl
-lib/mozilla/defaults/wallet/SchemaConcat.tbl
-lib/mozilla/defaults/wallet/SchemaStrings.tbl
-lib/mozilla/defaults/wallet/StateSchema.tbl
-lib/mozilla/defaults/wallet/VcardSchema.tbl
-%%MOZILLALDAP%%lib/mozilla/dirver
-lib/mozilla/escape
-lib/mozilla/icons/mozicon16.xpm
-lib/mozilla/icons/mozicon50.xpm
-lib/mozilla/libgkgfx.so
-lib/mozilla/libgtkembedmoz.so
-lib/mozilla/libgtksuperwin.so
-lib/mozilla/libgtkxtbin.so
-lib/mozilla/libjsj.so
-%%MOZILLALDAP%%lib/mozilla/libldap50.so
-lib/mozilla/libmoz_art_lgpl.so
-lib/mozilla/libmozjs.so
-lib/mozilla/libmozz.so
-%%MOZILLAMAILNEWS%%lib/mozilla/libmsgbaseutil.so
-lib/mozilla/libnspr4.so
-lib/mozilla/libnss3.so
-lib/mozilla/libnssckbi.so
-lib/mozilla/libnullplugin.so
-lib/mozilla/libplc4.so
-lib/mozilla/libplds4.so
-%%MOZILLALDAP%%lib/mozilla/libprldap50.so
-lib/mozilla/libsmime3.so
-lib/mozilla/libsoftokn3.so
-lib/mozilla/libssl3.so
-lib/mozilla/libxlibrgb.so
-lib/mozilla/libxpcom.so
-lib/mozilla/libxpistub.so
-lib/mozilla/mozilla
-lib/mozilla/mozilla-bin
-lib/mozilla/mozilla-config
-lib/mozilla/mozilla-xremote-client
-lib/mozilla/nsinstall
-lib/mozilla/plugins/libjavaplugin_oji.so
-lib/mozilla/plugins/libnullplugin.so
-lib/mozilla/regExport
-lib/mozilla/regchrome
-lib/mozilla/regxpcom
-lib/mozilla/res/arrow.gif
-lib/mozilla/res/arrowd.gif
-lib/mozilla/res/broken-image.gif
-lib/mozilla/res/builtin/htmlBindings.xml
-lib/mozilla/res/builtin/platformHTMLBindings.xml
-lib/mozilla/res/builtin/xbl-forms.css
-lib/mozilla/res/charsetData.properties
-lib/mozilla/res/charsetalias.properties
-lib/mozilla/res/cmessage.txt
-lib/mozilla/res/dtd/mathml.dtd
-lib/mozilla/res/dtd/svg.dtd
-lib/mozilla/res/dtd/xhtml11.dtd
-lib/mozilla/res/entityTables/html40Latin1.properties
-lib/mozilla/res/entityTables/html40Special.properties
-lib/mozilla/res/entityTables/html40Symbols.properties
-lib/mozilla/res/entityTables/htmlEntityVersions.properties
-lib/mozilla/res/entityTables/transliterate.properties
-lib/mozilla/res/fonts/mathfont.properties
-lib/mozilla/res/fonts/mathfontCMEX10.properties
-lib/mozilla/res/fonts/mathfontCMSY10.properties
-lib/mozilla/res/fonts/mathfontMTExtra.properties
-lib/mozilla/res/fonts/mathfontMath1.properties
-lib/mozilla/res/fonts/mathfontMath2.properties
-lib/mozilla/res/fonts/mathfontMath4.properties
-lib/mozilla/res/fonts/mathfontPUA.properties
-lib/mozilla/res/fonts/mathfontSymbol.properties
-lib/mozilla/res/forms.css
-lib/mozilla/res/gfx/icon_0.gif
-lib/mozilla/res/gfx/icon_1.gif
-lib/mozilla/res/html.css
-lib/mozilla/res/html/gopher-audio.gif
-lib/mozilla/res/html/gopher-binary.gif
-lib/mozilla/res/html/gopher-find.gif
-lib/mozilla/res/html/gopher-image.gif
-lib/mozilla/res/html/gopher-menu.gif
-lib/mozilla/res/html/gopher-movie.gif
-lib/mozilla/res/html/gopher-sound.gif
-lib/mozilla/res/html/gopher-telnet.gif
-lib/mozilla/res/html/gopher-text.gif
-lib/mozilla/res/html/gopher-unknown.gif
-lib/mozilla/res/inspector/search-registry.rdf
-lib/mozilla/res/inspector/viewer-registry.rdf
-lib/mozilla/res/langGroups.properties
-lib/mozilla/res/language.properties
-lib/mozilla/res/loading-image.gif
-lib/mozilla/res/mathml.css
-lib/mozilla/res/quirk.css
-lib/mozilla/res/rdf/article.gif
-lib/mozilla/res/rdf/document.gif
-lib/mozilla/res/rdf/dom-test-1.xul
-lib/mozilla/res/rdf/dom-test-2.xul
-lib/mozilla/res/rdf/dom-test-3.xul
-lib/mozilla/res/rdf/dom-test-4.css
-lib/mozilla/res/rdf/dom-test-4.xul
-lib/mozilla/res/rdf/dom-test-5.xul
-lib/mozilla/res/rdf/dom-test-6.xul
-lib/mozilla/res/rdf/dom-test-7.xul
-lib/mozilla/res/rdf/dom-test-8.xul
-lib/mozilla/res/rdf/folder-closed.gif
-lib/mozilla/res/rdf/folder-open.gif
-lib/mozilla/res/rdf/ignore-test.xul
-lib/mozilla/res/rdf/loading.gif
-lib/mozilla/res/rdf/xpidl-test-1.xul
-lib/mozilla/res/sample.unixpsfonts.properties
-lib/mozilla/res/samples/Anieyes.gif
-lib/mozilla/res/samples/aform.css
-lib/mozilla/res/samples/beeptest.html
-lib/mozilla/res/samples/bform.css
-lib/mozilla/res/samples/bg.jpg
-lib/mozilla/res/samples/cform.css
-lib/mozilla/res/samples/checkboxTest.xul
-lib/mozilla/res/samples/colorpicker.xul
-lib/mozilla/res/samples/demoform.css
-lib/mozilla/res/samples/dexopenchrome.xul
-lib/mozilla/res/samples/dexparamdialog.html
-lib/mozilla/res/samples/dexparamdialog.xul
-lib/mozilla/res/samples/find.html
-lib/mozilla/res/samples/gear1.gif
-lib/mozilla/res/samples/hidetoolicon.css
-lib/mozilla/res/samples/hidetoolicon.xul
-lib/mozilla/res/samples/image_props.html
-lib/mozilla/res/samples/mozform.css
-lib/mozilla/res/samples/printsetup.html
-lib/mozilla/res/samples/raptor.jpg
-lib/mozilla/res/samples/rock_gra.gif
-lib/mozilla/res/samples/sampleimages/bongo.gif
-lib/mozilla/res/samples/sampleimages/down.gif
-lib/mozilla/res/samples/sampleimages/left.gif
-lib/mozilla/res/samples/sampleimages/right.gif
-lib/mozilla/res/samples/sampleimages/up.gif
-lib/mozilla/res/samples/scrollbarTest1.xul
-lib/mozilla/res/samples/scrollbarTest2.xul
-lib/mozilla/res/samples/sliderTest1.xul
-lib/mozilla/res/samples/soundtest.html
-lib/mozilla/res/samples/tab.xul
-lib/mozilla/res/samples/test.wav
-lib/mozilla/res/samples/test0.html
-lib/mozilla/res/samples/test1.html
-lib/mozilla/res/samples/test10.html
-lib/mozilla/res/samples/test11.html
-lib/mozilla/res/samples/test12.html
-lib/mozilla/res/samples/test13.html
-lib/mozilla/res/samples/test14.html
-lib/mozilla/res/samples/test15.html
-lib/mozilla/res/samples/test16.html
-lib/mozilla/res/samples/test2.html
-lib/mozilla/res/samples/test3.html
-lib/mozilla/res/samples/test4.html
-lib/mozilla/res/samples/test5.html
-lib/mozilla/res/samples/test6.html
-lib/mozilla/res/samples/test7.html
-lib/mozilla/res/samples/test8-1.html
-lib/mozilla/res/samples/test8.html
-lib/mozilla/res/samples/test8dom.html
-lib/mozilla/res/samples/test8sca.html
-lib/mozilla/res/samples/test8siz.html
-lib/mozilla/res/samples/test8tab.html
-lib/mozilla/res/samples/test9.html
-lib/mozilla/res/samples/test9a.html
-lib/mozilla/res/samples/test9b.html
-lib/mozilla/res/samples/test_ed.html
-lib/mozilla/res/samples/test_form.html
-lib/mozilla/res/samples/test_gfx.html
-lib/mozilla/res/samples/test_lbox.html
-lib/mozilla/res/samples/test_pr.html
-lib/mozilla/res/samples/test_weight.html
-lib/mozilla/res/samples/toolbarTest1.xul
-lib/mozilla/res/samples/treeTest1.css
-lib/mozilla/res/samples/treeTest1.xul
-lib/mozilla/res/samples/widgets.xul
-lib/mozilla/res/samples/xpmenu.xul
-lib/mozilla/res/samples/xulTest.css
-lib/mozilla/res/throbber/anim.gif
-lib/mozilla/res/throbber/anims00.gif
-lib/mozilla/res/throbber/anims01.gif
-lib/mozilla/res/throbber/anims02.gif
-lib/mozilla/res/throbber/anims03.gif
-lib/mozilla/res/throbber/anims04.gif
-lib/mozilla/res/throbber/anims05.gif
-lib/mozilla/res/throbber/anims06.gif
-lib/mozilla/res/throbber/anims07.gif
-lib/mozilla/res/throbber/anims08.gif
-lib/mozilla/res/throbber/anims09.gif
-lib/mozilla/res/throbber/anims10.gif
-lib/mozilla/res/throbber/anims11.gif
-lib/mozilla/res/throbber/anims12.gif
-lib/mozilla/res/throbber/anims13.gif
-lib/mozilla/res/throbber/anims14.gif
-lib/mozilla/res/throbber/anims15.gif
-lib/mozilla/res/throbber/anims16.gif
-lib/mozilla/res/throbber/anims17.gif
-lib/mozilla/res/throbber/anims18.gif
-lib/mozilla/res/throbber/anims19.gif
-lib/mozilla/res/throbber/anims20.gif
-lib/mozilla/res/throbber/anims21.gif
-lib/mozilla/res/throbber/anims22.gif
-lib/mozilla/res/throbber/anims23.gif
-lib/mozilla/res/throbber/anims24.gif
-lib/mozilla/res/throbber/anims25.gif
-lib/mozilla/res/throbber/anims26.gif
-lib/mozilla/res/throbber/anims27.gif
-lib/mozilla/res/throbber/anims28.gif
-lib/mozilla/res/throbber/anims29.gif
-lib/mozilla/res/ua.css
-lib/mozilla/res/unixcharset.properties
-lib/mozilla/res/viewer.properties
-lib/mozilla/res/viewsource.css
-lib/mozilla/run-mozilla.sh
-lib/mozilla/searchplugins/NetscapeSearch.gif
-lib/mozilla/searchplugins/NetscapeSearch.src
-lib/mozilla/searchplugins/bugzilla.gif
-lib/mozilla/searchplugins/bugzilla.src
-lib/mozilla/searchplugins/dmoz.gif
-lib/mozilla/searchplugins/dmoz.src
-lib/mozilla/searchplugins/google.gif
-lib/mozilla/searchplugins/google.src
-lib/mozilla/searchplugins/lxrmozilla.gif
-lib/mozilla/searchplugins/lxrmozilla.src
-lib/mozilla/searchplugins/mozilla.gif
-lib/mozilla/searchplugins/mozilla.src
-lib/mozilla/teststream
-lib/mozilla/timebombgen
-lib/mozilla/xcat
-lib/mozilla/xenv
-lib/mozilla/xls
-lib/mozilla/xmlterm
-lib/mozilla/xpcshell
-lib/mozilla/xpicleanup
-lib/mozilla/xpidl
-lib/mozilla/xpt_dump
-lib/mozilla/xpt_link
-@unexec rm -f %D/lib/mozilla/chrome/chrome.rdf || true
-@unexec rm -f %D/lib/mozilla/component.reg || true
-@unexec rm -f %D/lib/mozilla/components/xpti.dat || true
-@dirrm lib/mozilla/searchplugins
-@dirrm lib/mozilla/res/throbber
-@dirrm lib/mozilla/res/samples/sampleimages
-@dirrm lib/mozilla/res/samples
-@dirrm lib/mozilla/res/rdf
-@dirrm lib/mozilla/res/inspector
-@dirrm lib/mozilla/res/html
-@dirrm lib/mozilla/res/gfx
-@dirrm lib/mozilla/res/fonts
-@dirrm lib/mozilla/res/entityTables
-@dirrm lib/mozilla/res/dtd
-@dirrm lib/mozilla/res/builtin
-@dirrm lib/mozilla/res
-@dirrm lib/mozilla/plugins
-@dirrm lib/mozilla/icons
-@dirrm lib/mozilla/defaults/wallet
-@dirrm lib/mozilla/defaults/profile/chrome
-@dirrm lib/mozilla/defaults/profile/US/chrome
-@dirrm lib/mozilla/defaults/profile/US
-@dirrm lib/mozilla/defaults/profile
-@dirrm lib/mozilla/defaults/pref
-@dirrm lib/mozilla/defaults/autoconfig
-@dirrm lib/mozilla/defaults
-@dirrm lib/mozilla/components
-@dirrm lib/mozilla/chrome/overlayinfo/navigator/content
-@dirrm lib/mozilla/chrome/overlayinfo/navigator
-@dirrm lib/mozilla/chrome/overlayinfo/messenger/content
-@dirrm lib/mozilla/chrome/overlayinfo/messenger
-@dirrm lib/mozilla/chrome/overlayinfo/inspector/content
-@dirrm lib/mozilla/chrome/overlayinfo/inspector
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla/chrome/overlayinfo/editor/content
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla/chrome/overlayinfo/editor
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla/chrome/overlayinfo/cookie/content
-%%MOZILLAMAILNEWS%%@dirrm lib/mozilla/chrome/overlayinfo/cookie
-@dirrm lib/mozilla/chrome/overlayinfo/communicator/content
-@dirrm lib/mozilla/chrome/overlayinfo/communicator
-@dirrm lib/mozilla/chrome/overlayinfo
-@dirrm lib/mozilla/chrome
-@dirrm lib/mozilla
